Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# IGPUProgrammingServices.h File Reference

`#include "EShaderTypes.h"`
`#include "EMaterialTypes.h"`
`#include "EPrimitiveTypes.h"`
`#include "path.h"`

Go to the source code of this file.

## Classes
class | irr::video::IGPUProgrammingServices
| Interface making it possible to create and use programs running on the GPU. More...
## Namespaces
namespace | irr

| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::io

| This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...
namespace | irr::video

| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:41:58 2010 by Doxygen (1.6.2)